﻿

.singleImage {
    position: relative;
}

.VideoSectionPlayButtonBg {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 55px;
    height: 40px;
    background-color: red;
    border: 1px solid;
    border-radius: .375rem;
    cursor: pointer;
}

.VideoSectionPlayButtonIcon {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    cursor: pointer;
}

    .VideoSectionPlayButtonIcon.Untouched {
        color: white;
        cursor: pointer;
    }

    .VideoSectionPlayButtonIcon.Touched {
        display: none;
        cursor: pointer;
    }

.VideoSectionPlayButtonBgSmall {
    position: relative;
    left: 50%;
    top: 50%;
    margin-top: -23px;
    transform: translate(-50%, 250%);
    width: 30px;
    height: 23px;
    background-color: red;
    border: 1px solid;
    border-radius: .375rem;
    cursor: pointer;
}

.VideoSectionPlayButtonIconSmall {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    cursor: pointer;
}

    .VideoSectionPlayButtonIconSmall.Untouched {
        color: white;
        cursor: pointer;
    }

.VideoSectionVideo {
    width: unset !important;
    height: unset !important;
    max-width: 100% !important;
    max-height: 100% !important;
}

.VideoSectionBg {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100vw;
    height: 100vh;
    min-width: 100vw;
    min-height: 100vh;
    background-color: gray;
    opacity: 0.3;
    z-index: 4001;
}

.VideoSection {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100vw;
    height: 100vh;
    min-width: 100vw;
    min-height: 100vh;
    z-index: 4000;
}





.VideoSectionCancelButton {
    position: absolute;
    right: 0px;
    top: 0px;
    font-size: 25px;
    transform: translate(50%, -50%);
    z-index: 2000;
}

    .VideoSectionCancelButton button {
        background: unset;
        border: unset;
    }

.videoWrapper {
    text-align: center;
    align-content: center;
}

@media only screen and (min-width : 991px) {
    .CustomVideo {
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        width: 100%;
        max-width: 50vw;
        z-index: 4002;
    }
}

@media only screen and (max-width : 991px) {
    .CustomVideo {
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        width: 100%;
        max-width: 90vw;
        z-index: 4002;
    }
}
